> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Notification Get Preferences

> Returns the caller role in-app notification flag and email frequency.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/notification-get-preferences
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/notification-get-preferences:
    get:
      operationId: notificationGetPreferences
      summary: Notification Get Preferences
      description: |-
        Returns the caller role in-app notification flag and email frequency.

        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationGetPreferencesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    NotificationGetPreferencesResponse:
      type: object
      properties:
        receiveInAppNotifications:
          type: boolean
        notificationEmailFrequency:
          type: string
          enum:
            - 'OFF'
            - IMMEDIATE
            - DAILY
        receiveSlackNotifications:
          type: boolean
        slackConnected:
          type: boolean
      required:
        - receiveInAppNotifications
        - notificationEmailFrequency
        - receiveSlackNotifications
        - slackConnected
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
